org.h2gis.functions.io

## Interface FileDriver

All Known Implementing Classes:
  DBFDriver, SHPDriver

    public interface FileDriver

Implement this interface in order to create a `org.h2gis.drivers.file_table.H2Table` in your `TableEngine` implementation. How to use:

- Implement this interface with your file driver
- Implement `org.h2gis.drivers.file_table.FileEngine`
- Add your `org.h2gis.drivers.file_table.FileEngine` implementation into the `org.h2gis.drivers.DriverManager`

Author:
  Nicolas Fortin

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Close the file, free resources.
`Object[]` `getRow(long rowId)`
`long` `getRowCount()`
`void` `insertRow(Object[] values)` Insert values to the current row

### Method Detail

#### getRowCount

    long getRowCount()

Returns:
  Row count

#### close

    void close()
        throws IOException

Close the file, free resources.

Throws:
  `IOException`

#### getRow

    Object[] getRow(long rowId)
             throws IOException

Parameters:
  `rowId` - Row index [0-getRowCount()[
Returns:
  The row content
Throws:
  `IOException` - Read error

#### insertRow

    void insertRow(Object[] values)
            throws IOException

Insert values to the current row

Parameters:
  `values` -
Throws:
  `IOException`